---
title: prefers-reduced-transparency
slug: Web/CSS/@media/prefers-reduced-transparency
tags:
  - CSS
  - Reference
  - media feature
---
<p>{{CSSRef}}{{SeeCompatTable}}{{draft}}</p>

<p>The <strong><code>prefers-reduced-transparency</code></strong> <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> is used to detect if the user has requested that the system minimize the amount of transparency used across elements.</p>

<h2 id="Syntax">Syntax</h2>

<dl>
 <dt><code><dfn>no-preference</dfn></code></dt>
 <dd>Indicates that the user has made no preference known to the system. This keyword value evaluates as false in the boolean context.</dd>
 <dt><code><dfn>reduce</dfn></code></dt>
 <dd>Indicates that user has notified the system that they prefer an interface that minimizes the amount of transparent or translucent layer effects.</dd>
</dl>

<h2 id="User_preferences">User preferences</h2>

<p>Currently no user agent implements this feature, although various operating systems do support such preferences and if this media query is ever implemented user agents will likely rely on the settings provided by the operating systems.</p>

<h2 id="Examples">Examples</h2>

<div class="notecard note">
<p><strong>Note:</strong> No browser currently implements this feature so the following example will not work.</p>
</div>

<p>This example has an annoying transparency effect by default.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;div class="transparency"&gt;transparent box&lt;/div&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">.transparency {
  opacity: 0.5;
}

@media (prefers-reduced-transparency: reduce) {
  .transparency {
    opacity: 1;
  }
}
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS5 Media Queries', '#descdef-media-prefers-reduced-transparency', 'prefers-reduced-transparency')}}</td>
   <td>{{Spec2('CSS5 Media Queries')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("css.at-rules.media.prefers-reduced-transparency")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://bugs.webkit.org/show_bug.cgi?id=175497">WebKit bug 175497</a></li>
</ul>

<p>{{QuickLinksWithSubpages("/en-US/docs/Web/CSS/@media/")}}</p>
